## org.apache.poi.hwpf.model
Class BytePropertyNode<T extends BytePropertyNode<T>>

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<T>
          org.apache.poi.hwpf.model.BytePropertyNode<T>

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<T>

Direct Known Subclasses:
  CHPX, PAPX

Deprecated. byte positions shall not be saved in memory

    @Deprecated
    public abstract class BytePropertyNode<T extends BytePropertyNode<T>>

extends PropertyNode<T>

Normally PropertyNodes only ever work in characters, but a few cases actually store bytes, and this lets everything still work despite that. It handles the conversion as required between bytes and characters.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`BytePropertyNode(int fcStart, int fcEnd, CharIndexTranslator translator, java.lang.Object buf)` Deprecated.
`BytePropertyNode(int charStart, int charEnd, java.lang.Object buf)` Deprecated.

Method Summary
`int` `getEndBytes()` Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.
`int` `getStartBytes()` Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytePropertyNode

    public BytePropertyNode(int fcStart,
                            int fcEnd,
                            CharIndexTranslator translator,
                            java.lang.Object buf)

  Deprecated.

  Parameters:
    `fcStart` - The start of the text for this property, in _bytes_
    `fcEnd` - The end of the text for this property, in _bytes_

### BytePropertyNode

    public BytePropertyNode(int charStart,
                            int charEnd,
                            java.lang.Object buf)

  Deprecated.

Method Detail

### getStartBytes

    @Deprecated
    public int getStartBytes()

  Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.

### getEndBytes

    @Deprecated
    public int getEndBytes()

  Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.